#2655 closed defect (fixed)

RSB --with-download fails with 3rd party packages

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: tool/rsb Version: 4.11
Severity: normal Keywords: RSC
Cc: Blocked By:
Blocking:

Description

The 3rd party packages depend on the BSP configuration and this requires valid cflags. Downloading just the source fails.

Change History (3)

comment:1 Changed on Mar 17, 2016 at 5:53:29 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: newclosed

In 38ed59a301c5f3e03ce83133dadddad695e415fb/rtems-source-builder:

sb: Support --dry-run --with-download for 3rd party RTEMS BSP packages.

The building of 3rd party packages for an RTEMS BSP requires a valid
BSP so the standard method to download the source for releasing does
not work. This change adds support to allow this. The RTEMS BSP support
will not generate an error is no BSP or tools are provided or found.

The change addis logic operators to the %if statement so you can '
'

to 'or' and '&&' to 'and' logic expressions.

A new %log directive has been added to clean up the messages.

A new %{!define ...} has been added to aid checking within logic
expressions.

All command line --with/--without now appear as macros.

Add version.version to get just the RTEMS major and minor version.

Some pkg-config issues have been resolved.

Closes #2655.

comment:2 Changed on Mar 18, 2016 at 3:28:04 AM by Chris Johns <chrisj@…>

In e12811908ff776d20ba9679684de262c5e0f280b/rtems-source-builder:

sb: Fix op parsing bug where the string was not created.

Updates #2655.

comment:3 Changed on Mar 18, 2016 at 3:33:51 AM by Chris Johns <chrisj@…>

In e6f96fc41e2b39824f93923cccc9b903b3fe6167/rtems-source-builder:

sb: Fix vairable type in _if.

Updates #2655.

Note: See TracTickets for help on using tickets.